Subject: Re: Problem allocating large meory using m8260_cpm_hostalloc

From: Dan Malek <[email-masked]>
Date: Thu, 28 Jul 2005 14:06:04 -0400

On Jul 28, 2005, at 12:50 PM, Prashant Alange wrote:

> Could anyone tell what I am missing here?

You are not supposed to be using this function for such memory
allocations.

> How can I allocate large memory in my driver using this hostalloc 
> function?

You don't.  If you look at the existing drivers and comments, you'll 
see it's
intended to only allocate small objects that are too inefficient to 
manage
with the usual Linux DMA allocation functions.  You must use the 
standard
Linux DMA for large allocations.  Read Documentation/DMA-API.txt, and
in particular the non-PCI functions.

Thanks.

	-- Dan